/*
 * Copyright (C) 2019-2024 iopsys Software Solutions AB
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1
 * as published by the Free Software Foundation
 *
 *	Author: Amin Ben Romdhane <amin.benromdhane@iopsys.eu>
 *
 */

#ifndef __ROUTING_H
#define __ROUTING_H

#include "libbbfdm-api/dmcommon.h"

extern DMOBJ tDeviceRoutingObj[];
extern DMOBJ tRoutingObj[];
extern DMLEAF tRoutingParams[];
extern DMOBJ tRoutingRouterObj[];
extern DMLEAF tRoutingRouterParams[];
extern DMLEAF tRoutingRouterIPv4ForwardingParams[];
extern DMLEAF tRoutingRouterIPv6ForwardingParams[];
extern DMOBJ tRoutingRouteInformationObj[];
extern DMLEAF tRoutingRouteInformationParams[];
extern DMLEAF tRoutingRouteInformationInterfaceSettingParams[];

#endif
