/*
 * Copyright (C) 2020-2024 iopsys Software Solutions AB
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1
 * as published by the Free Software Foundation
 *
 *	Author: Amin Ben Romdhane <amin.benromdhane@iopsys.eu>
 *	Author: Mohd Husaam Mehdi <husaam.mehdi@iopsys.eu>
 *
 */

#ifndef __IP_H
#define __IP_H

#include "libbbfdm-api/dmcommon.h"

extern DMOBJ tDeviceIPObj[];
extern DMOBJ tIPObj[];
extern DMLEAF tIPParams[];
extern DMOBJ tIPInterfaceObj[];
extern DMLEAF tIPInterfaceParams[];
extern DMLEAF tIPInterfaceIPv4AddressParams[];
extern DMLEAF tIPInterfaceIPv6AddressParams[];
extern DMLEAF tIPInterfaceIPv6PrefixParams[];
extern DMLEAF tIPInterfaceStatsParams[];
extern DMLEAF tIPActivePortParams[];

#endif //__IP_H

